Page MenuHomePhabricator

Refactor wikibase/repo item.js selenium test to use a pageobject
Closed, ResolvedPublic

Description

As a developer working on Wikibase I want to be able to extend selenium browser tests easily.

Item.js currently doesn't really use the item.page.js file to retrieve elements etc. which makes adding browser tests complicated.
I am exporting some parts of item.js to item.page.js.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterFinish exporting parts of item.js to item.page.js
mediawiki/extensions/Wikibase : masterExport parts of item.js to an item.page.js file

Event Timeline

noarave created this task.May 24 2019, 12:31 PM

Change 512359 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] Export saveButtonEnabled to an item.page.js file

https://gerrit.wikimedia.org/r/512359

Change 512665 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] Finish exporting parts of item.js to item.page.js

https://gerrit.wikimedia.org/r/512665

Change 512359 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Export parts of item.js to an item.page.js file

https://gerrit.wikimedia.org/r/512359

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:25 PM

Change 512665 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Finish exporting parts of item.js to item.page.js

https://gerrit.wikimedia.org/r/512665

For lack of a better alternative and after much experimentation this patch was merged although the browser.pause()method is being used in it. Leaving this here in case future flakiness leads back to this task.

Lydia_Pintscher closed this task as Resolved.Jul 15 2019, 11:07 AM